Starmade | stuck in ship core /stuck in undeathinator
Confirmed task for Starmade game development, HighPublic

Description

Noticed this plenty of times now, I get stuck in my own ship core when I leave it (although there's plenty of space around it). However, after entering/exiting again it's fine and I get placed correctly, it stays fine like that till I unload/load that entity again. Then the 1st time I exit it it will most likely get me stuck again.

Details

Commits
Restricted Diffusion Commit
Testing Results
Affected Gamemode(s)
Single and Multi
Reproducible
Yes
Last tested (version)
0.197.51 rel
Issue Type
Bug
Category
Engine
First occurrence (version)
0.19460 (Dev) (wild guess)
Hardware/Software/System
OS-Specific
No
Hardware-Specific
No
Video Card Vendor
uncertain
User/Reporter/Contact
URL to Starmadedock thread
https://starmadedock.net/threads/getting-stuck-in-things-getting-out-of-the-core-and-other-blocks.24830/
Steps to reproduce
  1. Put some blocks down right next to your ship core, at the z-/z+ axis side.
  2. Enter a new sector (anything should trigger it, jump drive, warp gate, admin command, flying), the ship doesn't need to move, it's the astronaut that matters.
  3. Get back in that ship, leave it
  4. Get stuck
Tester information (Internal use only)

not fixed

My lower half gets stuck if I try to exit after any sector change with this ship design stuck ship.zip

When exiting a block or re-spawning, the exit does not check for a 2 block high space to place the player, leading to being placed with the players head stuck in a block.

https://youtu.be/CSOke1At9yw

Partial fix

Getting stuck in a core or undeathinator no longer relies on a player changing sectors, however, the exit/respawn behavior does not check for clearance suitable to spawn the player and will spawn the player in the first single block open space available. This leads to a player potentially getting stuck between the core and the ceiling of the core room if 1 block space is available above the core.

Also for whatever reason the up arrow key will not engage the "stuck" protection.

https://www.youtube.com/watch?v=isOywSOFW6c

Serverconfig (server.cfg)
<replace this line with the file content>
Clientconfig (settings.cfg)
<replace this line with the file content>
lancake created this task.Nov 5 2015, 5:40 PM
lancake claimed this task.
lancake shifted this object from the S1 Public space to the S3 Starmade space.
lancake changed the visibility from "Custom Policy" to "Public (No Login Required)".
lancake changed the edit policy from "Task Author" to "Starmade (Project)".
lancake set First occurrence (version) to 0.19460 (Dev) (wild guess).
lancake changed Reproducible from uncertain to Yes.
lancake set Last tested (version) to 0.19480 (Dev).
lancake edited Serverconfig (server.cfg). (Show Details)
lancake edited Clientconfig (settings.cfg). (Show Details)
lancake added a subscriber: lancake.
Restricted Application added a project: Workflow Issue Navigation. · View Herald TranscriptNov 5 2015, 5:40 PM
Restricted Application added a subscriber: AndyP. · View Herald Transcript

-Confirmed-

It's fairly recent, and game breaking from time to time if you get stuck in the shipcore but you can't enter it anymore by looking at it. (That's I think another issue: T645)

lancake changed the task status from "Open" to "In Queue (Game)".Nov 5 2015, 6:18 PM
lancake set Issue Type to Bug.
lancake set Category to Engine.
lancake set Affected Gamemode(s) to Single and Multi.
lancake set OS-Specific to No.
lancake set Hardware-Specific to No.
lancake set Video Card Vendor to uncertain.

I have noticed this too. I am able to get out by "r"'ing the core and then hitting r again. But since you cant see the core, it becomes tricky..

schema changed the task status from "In Queue (Game)" to "Resolved" by committing Restricted Diffusion Commit.Nov 6 2015, 12:21 AM

helps if u have a computer or build block next to the core to enter after getting out of the core

TomW1605 removed a subscriber: TomW1605.Nov 6 2015, 5:46 AM
lancake changed the task status from "Resolved" to "In Queue (Game)".Nov 6 2015, 7:43 PM

-QA Testing-

It's a better now I think, but it still happens unfortunately.
More information:

  • Leaving a ship immediately after a sector change or a /change_sector is a good way to reproduce it consistently.
  • The game always puts you behind the shipcore (negative z-axis) in those cases, if that's blocked by a single block. You're going to end up in it.

Note: make sure that right behind the shipcore are a few blocks else you'll most likely not get stuck trying to reproduce it.

Lowering priority since now you can remove/use blocks again if you're camera is inside one.

lancake changed the title from "getting stuck in ship core after exiting the 1st time" to "getting stuck in ship core after sector change".Nov 6 2015, 7:43 PM
lancake lowered the priority of this task from "High" to "Normal".
Mered4 added a subscriber: Mered4.Nov 8 2015, 6:48 PM

I can also confirm that this is happening in the latest update (0.19488).
Pretty much the entire MushroomFleet server is shaking an angry fist at their core every time they go beyond sector boundaries. Quite repro'able.

spunkie claimed this task.Nov 11 2015, 9:18 PM
spunkie added a subscriber: spunkie.

This also causes problems with spawning at undeathinators that have blocks next to them in the -z direction.
https://youtu.be/iPjsbPx1a6g

spunkie changed the title from "getting stuck in ship core after sector change" to "stuck in ship core /stuck in undeathinator".Nov 11 2015, 9:23 PM
spunkie raised the priority of this task from "Normal" to "High".
spunkie changed Last tested (version) from 0.19480 (Dev) to 0.19488 (Dev).

Raising priority due to undeathinators not being escapable through the same methods as a core and sometimes requiring admin intervention as respawning will not save you neither will relogging.

spunkie reassigned this task from spunkie to lancake.Nov 11 2015, 9:27 PM

Between this and getting thrown in strange directions into your ships superstructure when leaving the core some days you want to throw something thru the screen, especially when the constantly repeated "just sit down first" not only doesn't always work but isn't always possible re:turrets.

And by the by, just because you *can* sometimes burn your way out of inside a block is (IMO)*not* a good reason to not make fixing this a priority.

SUGGESTION

Re-color/change transporter pad and make it into a spawn point. C + V link Ship Core or Undeathinator to spawn pad, spawn or leaving core puts you on top of the pad. Now all we would have to do is make sure t here is a 2 block high open spot above the spawn pad.

Since 498 patch getting stuck in core has for me become a almost sure thing, if I'm lucky I can get back in and then out to get free but OMG its tiresome.

I don't know if this will help but I've noticed that if after I enter an entity for the first time and enter the core, immediately exit (into stuck mode of course) re-enter the core from stuck then exit again (not stuck) I can enter and exit the core as often as I like without getting stuck again as long as I don't leave the entity itself.

Fwyrl added a subscriber: Fwyrl.Dec 12 2015, 5:29 AM

Can happen with build blocks too, not just ship cores. esp. if the build block has no space above it (even with plenty of space to the lower sides)

schema changed the task status from "In Queue (Game)" to "Resolved".Jan 11 2016, 3:40 PM
schema added a subscriber: schema.
lancake changed the task status from "Resolved" to "In Queue (Game)".Jan 14 2016, 9:59 PM

-QA Testing-

Still happens for some entities after a sector change (crossing it, using jumpdrive, using admin command,...)
Blueprint for a ship that gets it: Longsword.rar, usually you need to put a block at the z+ or z- axis right next to the ship core to trigger it, see comment section.

lancake edited Steps to reproduce. (Show Details)Jan 14 2016, 10:01 PM
lancake edited Tester information (Internal use only). (Show Details)
lancake edited Steps to reproduce. (Show Details)
lancake edited Tester information (Internal use only). (Show Details)
lancake edited Tester information (Internal use only). (Show Details)Jan 14 2016, 10:04 PM
schema changed the task status from "In Queue (Game)" to "Resolved".Jan 14 2016, 10:59 PM

fixed remaining issue. flag to not do a collision check is removed if player enters a ship

spunkie claimed this task.Jan 15 2016, 9:18 AM

-QA testing-

not fixed

My lower half gets stuck if I try to exit after any sector change with this ship design stuck ship.zip

When exiting a block or re-spawning, the exit does not check for a 2 block high space to place the player, leading to being placed with the players head stuck in a block.

https://youtu.be/CSOke1At9yw

spunkie changed the task status from "Resolved" to "In Queue (Game)".Jan 15 2016, 9:19 AM
spunkie changed Last tested (version) from 0.19488 (Dev) to 0.19545 (Dev).Jan 15 2016, 9:20 AM
spunkie edited Tester information (Internal use only). (Show Details)
lancake edited Tester information (Internal use only). (Show Details)Jan 15 2016, 4:08 PM
schema changed the task status from "In Queue (Game)" to "Resolved".Jan 15 2016, 4:42 PM
spunkie added a comment.EditedJan 30 2016, 3:17 AM

-QA testing-

Partial fix

Getting stuck in a core or undeathinator no longer relies on a player changing sectors, however, the exit/respawn behavior does not check for clearance suitable to spawn the player and will spawn the player in the first single block open space available. This leads to a player potentially getting stuck between the core and the ceiling of the core room if 1 block space is available above the core.

Also for whatever reason the up arrow key will not engage the "stuck" protection.

https://www.youtube.com/watch?v=isOywSOFW6c

spunkie edited Tester information (Internal use only). (Show Details)Jan 30 2016, 3:29 AM
spunkie changed the task status from "Resolved" to "In Queue (Game)".
spunkie changed Last tested (version) from 0.19545 (Dev) to 0.19554 (Dev).Jan 30 2016, 3:30 AM
lancake mentioned this in Unknown Object (Maniphest Task).Apr 26 2016, 10:13 AM
spunkie changed Last tested (version) from 0.19554 (Dev) to 0.197.51 rel.Apr 29 2016, 4:46 AM
spunkie set URL to Starmadedock thread to https://starmadedock.net/threads/getting-stuck-in-things-getting-out-of-the-core-and-other-blocks.24830/.Apr 29 2016, 9:57 PM

Add Comment